Skip to main content
PATCH
Edit appointment

Authorizations

x-api-key
string
header
required

A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.

Path Parameters

id
string
required

Body

application/json
requestId
string
required
expectedRevision
required
title
string | null
location
string · null · null
notes
string · null · null
propertyId
string · null · null
contactId
string · null · null

Response

Success

id
string
required
title
string
required
kind
string
required
subjectKind
string | null
required
subjectId
string | null
required
startsAt
string
required
endsAt
string
required
location
string | null
required
status
string
required
createdByUserId
string | null
required
propertyId
string | null
required
propertyLabel
string | null
required
staffId
string | null
required
staffUserId
string | null
required
staffName
string | null
required
contactId
string | null
required
contactName
string | null
required
notes
string | null
required
revision
required
outcome
enum<string> | null
required
Available options:
attended,
no_show
outcomeNote
string | null
required
outcomeRecordedAt
string | null
required
feedback
object | null
required
followUpTaskId
string | null
required
cancelReason
string | null
required
cancelledAt
string | null
required
createdAt
string
required
updatedAt
string
required
createdBy
object
required
followUp
object | null
required
history
object[]
required